"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultCommand = exports.commandsMap = exports.availableCommandsList = exports.aliases = exports.commands = void 0;

var _generate = _interopRequireDefault(require("./generate"));

var _help = _interopRequireDefault(require("./help"));

var _init = _interopRequireDefault(require("./init"));

var _run = _interopRequireDefault(require("./run"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const commands = {
  GENERATE: 'generate',
  HELP: 'help',
  INIT: 'init',
  RUN: 'run'
};
exports.commands = commands;
const aliases = {
  g: commands.GENERATE,
  h: commands.HELP
};
exports.aliases = aliases;
const availableCommandsList = [null, // no command should run help
...Object.values(commands), ...Object.keys(aliases)];
exports.availableCommandsList = availableCommandsList;
const commandsMap = {
  [commands.GENERATE]: _generate.default,
  [commands.HELP]: _help.default,
  [commands.INIT]: _init.default,
  [commands.RUN]: _run.default
};
exports.commandsMap = commandsMap;
const defaultCommand = commands.HELP;
exports.defaultCommand = defaultCommand;